Zero-friction vulnerability management platform

Mageni eases for you the vulnerability scanning, assessment, and management process. It is free and open-source.

Install Now

Available for macOS, Windows, and Linux

App screenshot

CVE-2004-0687

CVE information

Published

17 years ago

Last Modified

3 years ago

CVSSv2.0 Severity

High

Impact Analysis

Description

Multiple stack-based buffer overflows in (1) xpmParseColors in parse.c, (2) ParseAndPutPixels in create.c, and (3) ParsePixels in parse.c for libXpm before 6.8.1 allow remote attackers to execute arbitrary code via a malformed XPM image file..

CVSSv2.0 Score

Severity
High
Base Score
7.5/10
Exploit Score
10/10
Access Vector
Network
Access Complexity
Low
Authentication Required
None
Impact Score
6.4/10
Confidentiality Impact
Partial
Availability Impact
Partial
Integrity Impact
Partial

Products Affected

CPE Affected Vulnerable Excluding Edit
cpe:2.3:a:xfree86_project:x11r6:4.1.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:3.3.6:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.0.2.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.0.3:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x.org:x11r6:6.7.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.3.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.2.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:x.org:x11r6:6.8:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.0.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.2.1:*:errata:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.1.11:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.1.12:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:a:xfree86_project:x11r6:4.2.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:enterprise_server:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.2:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8:*:enterprise_server:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.0:*:x86_64:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:9.1:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.5:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:openbsd:openbsd:3.4:*:*:*:*:*:*:*
  Yes
- -
cpe:2.3:o:suse:suse_linux:8.1:*:*:*:*:*:*:*
  Yes
- -